import { API_URL } from '..';

const ENDPOINT_BASE_URL = API_URL + '/trips';

export const TripEndpoints = {
  PUBLISH_TRIP: `${ENDPOINT_BASE_URL}/oneway`,
  PUBLISH_ROUND_TRIP: `${ENDPOINT_BASE_URL}/roundtrip`,
  GET_MY_TRIPS: `${ENDPOINT_BASE_URL}`,
  GET_MANY_FILTERED_BY_ORDER_PARAMS: `${ENDPOINT_BASE_URL}/filtered/many`,
  GET_ONE_FILTERED_BY_ORDER: `${ENDPOINT_BASE_URL}/filtered/one`,
  DELETE_TRIP: `${ENDPOINT_BASE_URL}`,
  ACCEPT_ORDER_DELIVERY: `${ENDPOINT_BASE_URL}/delivery/accept`,
  REQUEST_ORDER_DELIVERY: `${ENDPOINT_BASE_URL}/delivery/request`,
  CANCEL_ORDER_DELIVERY_REQUEST: `${ENDPOINT_BASE_URL}/delivery/cancel`,
  REQUEST_TRIP_OWNER_DETAILS: `${ENDPOINT_BASE_URL}/owner/details`,
  GET_ALL_REQUESTS: `${ENDPOINT_BASE_URL}/order`,
};
